ANALOG-CLOCK.CONF(5)

NAME
analog-clock.conf -configuration file for extension analog-clock.

DESCRIPTION
analog-clock.conf is the (default) configuration file for the Xsetup extension analog-clock. On system with multiple X servers, there might be a configuration file per X server. The analog-clock configuration file dedicated to an X server must be named analog-clock.<XDISP>.conf and stored in same directory as script analog-clock. <XDISP> is the X server display name, without field screennumber, and to XDM resource name format, that is, with underscores in place of dots and colons. For instance the value of XDISP for the X server display name :0 is _0. It is _1 in case of X server display name :0, and so on. When there is no configuration file dedicated to a given X server, analog-clock loads the default configuration file : analog-clock.conf. The default configuration file analog-clock.conf can be used as a base configuration inside the configuration file dedicated to a given X server, like in example below :
  ---- analog-clock._1.conf -----
  # Loads defaults
  #
  source ${EXTDIR}/analog-clock.conf

  # Change xonclock skin used on Xserver :1
  #
  XOC_SKIN=/usr/share/xonclock/skins/chrome-260.png
  XOC_SIZE=260

  # Change cairo-clock theme used on Xserver :1
  #
  CC_THEME=quartz-24
  -------------------------------
Below the variables defined in script Xsetup that can be useful in analog-clock configuration file :
    SCRIPTDIR - Absolute path to Xsetup's directory EXTDIR - Absolute path to Xsetup extensions directory XDISP - The X server display name, without field 'screennumber', and to XDM resource name format.

NOTES
• analog-clock start a cairo-clock instance when Xsetup is configured with compton support, otherwise, an instance of xonclock is started. • xonclock settings are defined by XOC_xxx properties. • cairo-clock settings are defined by CC_xxx properties.

PROPERTIES

XOC_SKIN = <path>
    Defines xonclock's skin. Default to /usr/share/xonclock/skins/chrome-128-bs.png.

XOC_POSITION = <position>
    Defines xonclock's position on XDM screen. Can be set to one of the following :
        • TOP_LEFT
        • TOP_RIGHT (default)
        • BOTTOM_LEFT
        • BOTTOM_RIGHT

XOC_SIZE = <int>
    Defines the xonclock's size. Default to 128. Attention, xonclock has no option to set the clock size which is defined by the skin (see XOC_SKIN). The size specified by property XOC_SIZE is only used when computing the position of the clock.

XOC_MARGIN = <int>
    Defines the xonclock's margin. Default to 16.

XOC_USE_BACKGROUND = <on|yes|true|1|off|no|false|0>
    Defines whether or not xonclock must merge the skin with desktop root window background image. Default to on.

XOC_SHOW_SECONDS = <on|yes|true|1|off|no|false|0>
    Defines whether or not xonclock must render second hand. Default to on.

XOC_SHOW_DATE = <on|yes|true|1|off|no|false|0>
    Defines whether or not xonclock must display the date. Default to on.

XOC_DATE_FORMAT = "<format>"
    Defines the strftime format of the date string used by xonclock to render the date. Default to "%b %d".

XOC_EXTRA_ARGS = ( <xonclock-option> ... )
    Defines the extra arguments to pass to xonclock. Note that XOC_EXTRA_ARGS can also be used to override arguments that analog-clock passes to xonclock. Example :
      XOC_EXTRA_ARGS=( \
        "--date-position=BOTTOM-RIGHT" \
        "--date-offset-v=32" )

CC_THEME = "<string>"
    Defines the cairo-clock's theme. Default to radium.

CC_POSITION = <position>
    Defines cairo-clock's position on XDM screen. Can be set to one of the following :
        • TOP_LEFT
        • TOP_RIGHT (default)
        • BOTTOM_LEFT
        • BOTTOM_RIGHT

CC_SIZE = <int>
    Defines the cairo-clock's size to format WIDTH[:HEIGHT]. When HEIGHT is not set, it defaults to WIDTH. Default to 200.

CC_MARGIN = <int>
    Defines the cairo-clock's margin. Default to 16.

CC_SHOW_SECONDS = <on|yes|true|1|off|no|false|0>
    Defines whether or not cairo-clock must render second hand. Default to on.

CC_SHOW_DATE = <on|yes|true|1|off|no|false|0>
    Defines whether or not cairo-clock must render the date string. Default to on.

CC_EXTRA_ARGS = ( <cairo-clock-option> ...)
    Defines the extra arguments to pass to cairo-clock. Note that CC_EXTRA_ARGS can also be used to override arguments that analog-clock passes to cairo-clock. Example :
      CC_EXTRA_ARGS=( "--twentyfour" )

SEE ALSO
Xsetup.conf(5)

AUTHORS
Sébastien Ballet <slacker6896@gmail.com>